Police Vulnerable Sector Check (Year Five)

Each year, teacher candidates in the concurrent program are required to obtain and submit a current Police Vulnerable Sector Check (PVSC) to the Practicum Office. Beginning the process too early or too late could put your practicum in jeopardy. Please CAREFULLY follow the instructions provided below to ensure that you meet the requirements and deadline for your program year.

Teacher candidates must begin the process no earlier than August 17, 2018. A PVSC MUST be received by the Practicum Office by Friday, December 7, 2018. Failure to provide a required Police Vulnerable Sector Check by this date, will result in the rescheduling of practicum for the 2018/2019 academic year and a $425 fee.

School Boards with specific PVSC Requirements: